System 2.0.0.0 4.0.0.0 System.Configuration.ConfigurationSection

This class corresponds to the DefaultProxy Element (Network Settings) configuration element.

This class is used to access information about the Web proxy server used for requests made with the and classes. The following table describes the configuration elements contained in the configuration section.

Element

Description

Identifies the Web proxy server to use.

Identifies resources that are not retrieved using the proxy server.

Identifies a custom implementation.

This class provides programmatic access to information that can be stored in configuration files.

The settings apply only to the default proxy server.

Represents the configuration section for Web proxy server usage. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Property
  2.0.0.0
  4.0.0.0
  System.Configuration.ConfigurationProperty("bypasslist")
  System.Net.Configuration.BypassElementCollection To be added.

  The returned by this property contains one for each resource that bypasses the Web Proxy server.

  Gets the collection of resources that are not obtained using the Web proxy server.

- Property
  2.0.0.0
  4.0.0.0
  System.Configuration.ConfigurationProperty("enabled", DefaultValue=Mono.Cecil.CustomAttributeArgument)
  System.Boolean To be added. To be added.

  Gets or sets whether a Web proxy is used.

- Property
  2.0.0.0
  4.0.0.0
  System.Configuration.ConfigurationProperty("module")
  System.Net.Configuration.ModuleElement To be added.

  The returned by this property identifies the type, assembly, and version of a custom implementation.

  Gets the type information for a custom Web proxy implementation.

- Method
  2.0.0.0
  4.0.0.0
  System.MonoTODO
  System.Void To be added. To be added.
- Property
  2.0.0.0
  4.0.0.0
  System.Configuration.ConfigurationPropertyCollection To be added. To be added. To be added.
- Property
  2.0.0.0
  4.0.0.0
  System.Configuration.ConfigurationProperty("proxy")
  System.Net.Configuration.ProxyElement To be added.

  The returned by this property identifies the Web proxy server to use for resources that are not in the collection.

  Gets the URI that identifies the Web proxy server to use.

- Method
  2.0.0.0
  4.0.0.0
  System.MonoTODO
  System.Void `` To be added. To be added. To be added.
- Property
  2.0.0.0
  4.0.0.0
  System.Configuration.ConfigurationProperty("useDefaultCredentials", DefaultValue=Mono.Cecil.CustomAttributeArgument)
  System.Boolean To be added. To be added.

  Gets or sets whether default credentials are to be used to access a Web proxy server.